import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import { withKnobs, number, select } from '@storybook/addon-knobs';
import readme from './readme.md';
import { NavigationContextMenuItemType } from './navigation-context-menu-item-type.enum';

<Meta
  title="Navigation/digi-navigation-context-menu-item"
  parameters={{
    actions: {
      handles: []
    }
  }}
  decorators={[withKnobs]}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is a default navigation context menu item. Head over to `digi-navigation-context-menu` to se it in action.

<Canvas>
  <Story
    name="Standard"
    parameters={{
      docs: {
        source: {
          language: 'html',
          code: `<digi-navigation-context-menu-item
                  af-text="This is a required text"
                  af-href="https://arbetsformedlingen.se/"
                  af-type="NavigationContextMenuItemType.LINK"></digi-navigation-context-menu-item>`,
        },
      },
    }}
  >
  /* html */
  {`<digi-navigation-context-menu af-start-selected="${number(
        'Selected start item',
        1
      )}" af-text="This is the afText">
  <digi-navigation-context-menu-item
      af-text="This is a required text"
      af-href="https://arbetsformedlingen.se/"
      af-type="${select(
            'Type',
            [
              NavigationContextMenuItemType.LINK,
              NavigationContextMenuItemType.BUTTON,
            ],
            NavigationContextMenuItemType.LINK
          )}"></digi-navigation-context-menu-item>
      </digi-navigation-context-menu>`}
  </Story>
</Canvas>
